// https://github.com/michael-ciniawsky/postcss-load-config

module.exports = {
  plugins: {
    "postcss-import": {},
    "postcss-url": {},
    // to edit target browsers: use "browserslist" field in package.json
    autoprefixer: {},
    "postcss-pxtorem": {
      // 此处为添加部分
      rootValue: 16, // 对应16px 适配移动端750px宽度
      unitPrecision: 5,
      propList: ["*"],
      selectorBlackList: [".el",".mint"],
      replace: true,
      mediaQuery: false,
      minPixelValue: 0,
      exclude: /src/
    }
  }
};
